## prometheus-bind-exporter 0.2~git20161221+dfsg

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= bind-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))


all: format build test

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	        GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	        $(GO) get -u github.com/prometheus/promu

.PHONY: all style format build test vet tarball docker promu

=== debian/changelog ===
prometheus-bind-exporter (0.2~git20161221+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #854749

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 09 Feb 2017 22:04:37 +0000

=== debian/control ===
Source: prometheus-bind-exporter
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 10), dh-golang (>= 0.17~), golang-any,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-protobuf-extensions-dev,
               golang-golang-x-tools-dev,
               golang-golang-x-sys-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-beorn7-perks-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-bind-exporter.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-bind-exporter.git
Homepage: https://github.com/digitalocean/bind_exporter/
XS-Go-Import-Path: github.com/digitalocean/bind_exporter

Package: prometheus-bind-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon
Enhances: bind9
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for Bind server metrics
 Prometheus exporter for PostgreSQL server metrics, written in Go.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR := build
export DH_GOPKG := github.com/digitalocean/bind_exporter

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	install -m755 $(BUILDDIR)/bin/bind_exporter \
            debian/prometheus-bind-exporter/usr/bin/prometheus-bind-exporter

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bind-exporter-\$1\.tar\.gz/,dversionmangle=s/\.dfsg\.?\d$//;s/.dfsg$//,uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/digitalocean/bind_exporter/tags .*/v?(\d\S*)\.tar\.gz

## prometheus-bind-exporter 0.3.0%2Bds

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bind-exporter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$//,\
  https://github.com/prometheus-community/bind_exporter/releases .*/v?(\d\S*)\.tar\.gz

## prometheus-bind-exporter 0.3.0+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64
DOCKER_REPO  ?= prometheuscommunity

include Makefile.common

STATICCHECK_IGNORE =

DOCKER_IMAGE_NAME ?= bind-exporter

=== debian/changelog ===
prometheus-bind-exporter (0.3.0+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 01:59:02 +0200

prometheus-bind-exporter (0.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * New upstream maintainer / project home.
  * Add myself to uploaders.
  * Drop obsolete 01-Client_API_fix.patch.
  * Drop obsolete 02-Fix_word_sizes.patch.
  * Drop indirect build-deps.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 13 Jan 2020 09:53:55 +0000

prometheus-bind-exporter (0.2.0+git20190914+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Name.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Martina Ferrari ]
  * New upstream snapshot.
  * Fix versioning.
  * Refresh patches.
  * Add myself as uploader.
  * Fix package description. Closes: #928361.
  * Update Standards-Version with no changes.
  * Update watchfile mangling.
  * Add needed Pre-Depends for sysvinit.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 17:49:25 +0000

prometheus-bind-exporter (0.2~git20161221+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add missing log and pid directories.
  * Use 64bit words for parsing numbers; fixes build in 32bit arches.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 22:09:22 +0000

prometheus-bind-exporter (0.2~git20161221+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Add patch for update in prometheus client library API. Closes:
    #911439.
  * debian/init: Remove checks for variable that belongs to another
    exporter.
  * Remove unneeded lintian overrides.
  * debian/manpages: Actually install the man page.
  * Add missing postinst script, required to create the system user and
    directories.
  * debian/rules: Remove unneeded DH_GOPKG var, reenable tests.
  * Automated packaging fixes by cme, update compat and Standards-Version.
  * debian/control: Only install daemon if systemd is not present.
  * debian/copyright: Add missing Files-Excluded information.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 19:44:25 +0000

=== debian/control ===
Source: prometheus-bind-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tincho@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git
Homepage: https://github.com/prometheus-community/bind_exporter/
XS-Go-Import-Path: github.com/prometheus-community/bind_exporter

Package: prometheus-bind-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: bind9,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Bind server metrics
 Prometheus exporter for Bind (named/dns) v9+ server metrics, written in Go.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR := build
export DH_GOLANG_INSTALL_EXTRA := fixtures/

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	install -m755 $(BUILDDIR)/bin/bind_exporter \
            debian/prometheus-bind-exporter/usr/bin/prometheus-bind-exporter

## prometheus-bind-exporter 0.4.0+ds

=== debian/changelog ===
prometheus-bind-exporter (0.4.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.5.1 (no changes)
  * Bump debhelper-compat version to 13
  * Add new build-dependencies:
    - golang-github-go-kit-kit-dev
    - golang-github-prometheus-exporter-toolkit-dev
    - golang-gopkg-alecthomas-kingpin.v2-dev
  * Update uploader names / email addresses
  * Refresh command-line flag help in defaults file
  * d/control: update maintainer email address

  [ Martina Ferrari ]
  * Update debian/watch with consistent flags.
  * Update debian/rules to set version variables and generate manpage and
    bash-completion script.
  * Many packaging improvements from Guillem Jover.
    - Use '' instead of `' in text
    - Switch from /var/run to /run
    - Move note about license location on Debian systems into a Comment field
    - Add missing Depends on adduser
    - Remove error suppression from postinst
    - Use $() instead of `` in init script
    - Remove unnecessary error suppression from init script
    - Run adduser unconditionally
    - Remove $syslog dependency from init script
    - Change systemd service Restart directive from always to on-failure
    - Fix NAME variable value in sysvinit init script
    - Rewrite init script using start- stop-daemon
    - Do not change pathname metadata if there are dpkg statoverrides in place
    - Use execute_after_dh_auto_* instead of override_ and an explicit call
    - Remove unused adduser from Build- Depends
  * Add logrotate config snippet.

 -- Martina Ferrari <tina@debian.org>  Fri, 29 Jan 2021 01:11:41 +0000

=== debian/control ===
Source: prometheus-bind-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               dh-sequence-bash-completion,
               golang-any,
               golang-github-go-kit-kit-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git
Homepage: https://github.com/prometheus-community/bind_exporter/
XS-Go-Import-Path: github.com/prometheus-community/bind_exporter

Package: prometheus-bind-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: bind9,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Bind server metrics
 Prometheus exporter for Bind (named/dns) v9+ server metrics, written in Go.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := fixtures/
BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common
BINNAME := prometheus-bind-exporter

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
GCCGO       = $(strip $(shell go version | grep gccgo))
VERSION     = $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
	    --builddirectory=$(BUILDDIR)

WHATIS := "$(BINNAME) \\- Prometheus exporter for Bind metrics"

execute_after_dh_auto_build:
	mv -v $(BUILDDIR)/bin/bind_exporter \
            $(BUILDDIR)/bin/$(BINNAME)
	# Build bash completion scripts.
	mkdir -vp $(BUILDDIR)/bash_completion.d
	$(BUILDDIR)/bin/$(BINNAME) --completion-script-bash > \
	    $(BUILDDIR)/bash_completion.d/$(BINNAME)
	# Build man pages.
	mkdir -vp $(BUILDDIR)/man
	$(BUILDDIR)/bin/$(BINNAME) --help-man > \
	    $(BUILDDIR)/man/$(BINNAME).1
	# Remove build information headers, and fix whatis entry.
	sed -i '/^  /d; /^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) \
	    $(BUILDDIR)/man/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus-bind-exporter 0.5.0

=== debian/changelog ===
prometheus-bind-exporter (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop +ds version suffix, since we no longer have to unvendor
  * Drop obsolete 0001-fix-handle-non-integer-values-for-zone-serial-97.patch
    (merged upstream)
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.0 (no changes)
  * Replace golang-github-go-kit-kit-dev build-dep with
    golang-github-go-kit-log-dev
  * Update and sort flags in debian/default

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 15:09:33 +0000

prometheus-bind-exporter (0.4.0+ds-2) unstable; urgency=high

  * Fix bind stats parsing with upstream patch (Closes: #993385)
  ** https://github.com/prometheus-community/bind_exporter/pull/97

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 03 Sep 2021 17:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
                dh-sequence-bash-completion,
+               dh-sequence-golang,
                golang-any,
-               golang-github-go-kit-kit-dev,
+               golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-	    --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS := "$(BINNAME) \\- Prometheus exporter for Bind metrics"

## prometheus-bind-exporter 0.6.0

=== debian/changelog ===
prometheus-bind-exporter (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Bump golang-github-prometheus-exporter-toolkit-dev minimum required
    version to 0.8.0
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 10 Nov 2022 21:29:01 +0000

prometheus-bind-exporter (0.5.0-2) unstable; urgency=medium

  * Update gbp configuration following Go Team new workflow
  * Fix passing of BUILDFLAGS to dh_auto_build, which resulted in no version
    information being compiled into the binary
  * Update systemd service documentation link
  * Fix capitalization of BIND in service, init scripts, etc
  * Add basic systemd service hardening options
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Sep 2022 12:33:05 +0000

## prometheus-bind-exporter 0.6.1

=== debian/changelog ===
prometheus-bind-exporter (0.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1033700)
  * Add new patches:
    - 0001-Revert-kingpin.v2-import-path.patch
    - 0002-Revert-web.LandingConfig.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 30 Mar 2023 14:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git
@@ -30,5 +30,5 @@
          ${shlibs:Depends},
 Enhances: bind9,
 Built-Using: ${misc:Built-Using},
-Description: Prometheus exporter for Bind server metrics
- Prometheus exporter for Bind (named/dns) v9+ server metrics, written in Go.
+Description: Prometheus exporter for BIND server metrics
+ Prometheus exporter for BIND (named/dns) v9+ server metrics, written in Go.

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,10 @@
 %:
 	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
-WHATIS := "$(BINNAME) \\- Prometheus exporter for Bind metrics"
+WHATIS := "$(BINNAME) \\- Prometheus exporter for BIND metrics"
 
-execute_after_dh_auto_build:
+override_dh_auto_build:
+	dh_auto_build -- $(BUILDFLAGS)
 	mv -v $(BUILDDIR)/bin/bind_exporter \
             $(BUILDDIR)/bin/$(BINNAME)
 	# Build bash completion scripts.

## prometheus-bind-exporter 0.7.0

=== debian/changelog ===
prometheus-bind-exporter (0.7.0-2) unstable; urgency=medium

  * Add new 0002-Deprecate-collection-of-task-stats-by-default.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Feb 2024 14:19:40 +0000

prometheus-bind-exporter (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Revert-web.LandingConfig.patch
  * Bump Standards-Version to 4.6.2 (no changes)
  * Modernize debian/rules to produce more visually appealing man page

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 12 Aug 2023 14:55:33 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.9.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

export DH_GOLANG_INSTALL_EXTRA := fixtures/
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/bind_exporter _build/bin/$(BINNAME)
	# Build bash completion scripts.
	mkdir -vp _build/bash_completion.d
	_build/bin/$(BINNAME) --completion-script-bash > _build/bash_completion.d/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for BIND metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus-bind-exporter 0.8.0

=== debian/changelog ===
prometheus-bind-exporter (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Deprecate-collection-of-task-stats-by-default.patch
    (applied upstream)
  * Drop obsolete 0003-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches
  * Bump Standards-Version to 4.7.0 (no changes)
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 06 Nov 2024 14:10:21 +0000

prometheus-bind-exporter (0.7.0-3) unstable; urgency=medium

  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Mar 2024 13:14:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-golang,
-               golang-any,
-               golang-github-go-kit-log-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-any (>= 2:1.21~),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.9.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bind-exporter.git

=== debian/watch ===
version=4
opts="\
    filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-bind-exporter-$1.tar.gz/,\
    dversionmangle=s/\+ds\d*$//, \
    uversionmangle=s/rc/~rc/" \
  https://github.com/prometheus-community/bind_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz
